Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.json
Class JsonUtils

    java.lang.Object
      org.modeshape.web.jcr.rest.client.json.JsonUtils

    public final class JsonUtils

extends Object

The `JsonUtils` class provides utilities needed to work with the ModeShape REST server JSON API.

Method Summary
`static String` | `decode(String text)`
`static String` | `encode(String text)` Forward slashes ('/') are not encoded.
`static String` | `readInputStream(HttpURLConnection connection)` Note: The connection is not disconnected during this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### decode

    public static String decode(String text)
                         throws UnsupportedEncodingException

  Parameters:
    `text` - the text being URL decoded (never `null`)
  Returns:
    the decoded text
  Throws:
    `UnsupportedEncodingException` - if the charset is not supported

### encode

    public static String encode(String text)
                         throws UnsupportedEncodingException

  Forward slashes ('/') are not encoded.

  Parameters:
    `text` - the text being URL encoded (never `null`)
  Returns:
    the decoded text
  Throws:
    `UnsupportedEncodingException` - if the charset is not supported

### readInputStream

    public static String readInputStream(HttpURLConnection connection)
                                  throws IOException

  Note: The connection is not disconnected during this method.

  Parameters:
    `connection` - the connection whose input stream is going to be read from (never `null`)
  Returns:
    the data read from the connection input stream (never `null`)
  Throws:
    `IOException` - if there is a problem reading from the connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.